# QT -= gui
QT       += core gui
QT      +=widgets serialport
QT      +=network

TARGET = up_dev_ctrl

CONFIG += c++11
# CONFIG -= app_bundle

QMAKE_CXXFLAGS += -Wno-deprecated-copy

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
        main.cpp \
        message_handler.cpp \
        load_dc_plugin.cpp \
        commands_to_update_dc.cpp \
        serial.cpp

HEADERS += \
        message_handler.h \
        load_dc_plugin.h \
        commands_to_update_dc.h \
        serial.h \
        plugins/interfaces.h

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
